Bug 1544488 - [UI][RHOS] - remove Edit and Delete actions when in the SDN list view
Summary: [UI][RHOS] - remove Edit and Delete actions when in the SDN list view
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.4
Assignee: Harpreet Kataria
QA Contact: Pavol Kotvan
URL:
Whiteboard: ui:rhos
Keywords: ZStream
Depends On: 1540855
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-12 16:08 UTC by Satoe Imaishi
Modified: 2018-06-25 14:17 UTC (History)
10 users (show)

(edit)
Clone Of: 1540855
(edit)
Last Closed: 2018-06-25 14:17:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:17 UTC

Comment 2 Harpreet Kataria 2018-04-19 20:48:09 UTC
Cherry-picked only required changes for this BZ from https://github.com/ManageIQ/manageiq-ui-classic/pull/2234 to Fine specific PR https://github.com/ManageIQ/manageiq-ui-classic/pull/3807

Comment 3 CFME Bot 2018-04-23 13:38:15 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/63547472e046d286bf38276560e650bc3fd17da3
commit 63547472e046d286bf38276560e650bc3fd17da3
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Jan 31 08:38:17 2018 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Wed Jan 31 08:38:17 2018 -0500

    Merge pull request #3349 from martinpovolny/bz_1539723_cloud_network

    Disable cloud network editing and deletion for list view.
    (cherry picked from commit a025a2836de87c3bdeab76fca04c2dd11e5bd48a)

    https://bugzilla.redhat.com/show_bug.cgi?id=1544488

 app/helpers/application_helper/toolbar/cloud_networks_center.rb | 18 -
 1 file changed, 18 deletions(-)

Comment 5 CFME Bot 2018-04-26 16:07:58 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/acb257423c556fb5fa3191f16fcaf6d835451675
commit acb257423c556fb5fa3191f16fcaf6d835451675
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Apr 19 16:39:40 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Apr 19 16:39:40 2018 -0400

    Removed specific buttons for Network Routers

    Fine specific PR for changes made in https://github.com/ManageIQ/manageiq-ui-classic/pull/2234

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1544488

 app/helpers/application_helper/toolbar/network_router_center.rb | 6 +-
 app/helpers/application_helper/toolbar/network_routers_center.rb | 35 -
 2 files changed, 5 insertions(+), 36 deletions(-)

Comment 8 errata-xmlrpc 2018-06-25 14:17:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.